Python Versions

Note: This document is based on Jelastic 4.0 Platform version.

For now, Jelastic supports four Python versions:
  • 2.7
  • 3.3
  • 3.4
  • 3.5

You can choose the one you need while environment creation and easily switch between them afterwards. To do this follow the instruction:

1. Open Environment Wizard by clicking the New environment button on the top of the dashboard.

2. Navigate to the Python programming language tab and select the version of Python - 2.7, 3.3, 3.4 or 3.5 - you’d like to use within the appropriate list (see it circled below).

Then, specify cloudlet limits for your app server (here, the Apache one is chosen by default as the only available option), specify the preferred region and name for your environment, and click Create.

3. You can also change the version of Python in the already existing environment. For that:

  • Click the Change environment topology button next to the environment.

  • Choose another version you require and click Apply.

Note that in case you’ve installed any custom modules on the previously used Python version, they won’t be available in the newly chosen one. So, you need to reinstall them for the proper workability of your application.